std::ranges::split_view::find_next(3)

NAME
std::ranges::split_view::find_next - std::ranges::split_view::find_next

Synopsis
   constexpr ranges::subrange<ranges::iterator_t<V>> (exposition only*)
       /*find_next*/( ranges::iterator_t<V> it );
   Searches for the next occurrence of pattern in the underlying view. This function is
   for exposition only and its name is not normative.
   Equivalent to:
 auto [b, e] = ranges::search(ranges::subrange(it, ranges::end(base_)), pattern_);
 if (b != ranges::end(base_) and ranges::empty(pattern_))
 {
     ++b;
     ++e;
 }
 return {b, e};

Parameters
   it - an iterator to the position at which to start the search

Return value
   A subrange that represents the next position of the pattern, if it was found. An
   empty subrange otherwise.